package com.zsc.edu.dify.modules.dify.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zsc.edu.dify.framework.json.JsonbTypeHandler;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;

@Getter
@Setter
@Data
@TableName("workflow_data")
public class WorkflowData {
    @TableId
    private Long id;

    private String workflowRunId;

    private String taskId;

    @TableField(value = "user_id", fill = FieldFill.INSERT)
    private Long userId;
}
